[Unit]
Description=Consul watch
Requires=network-online.target
After=network-online.target

[Service]
User={{ consul_user }}
Group={{ consul_user }}
ExecStart={{ consul_bin_dir }}/consul watch -token={{ consul_acl_agent_token }} -type=checks {{ consul_bin_dir }}/watch_handler.sh
Restart=on-failure
ExecReload=/bin/kill -HUP $MAINPID
KillSignal=SIGINT

[Install]
WantedBy=multi-user.target
